| Home · All Classes · All Namespaces · Modules · Functions · Files

# QualifiedPropertyValueMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- QualifiedPropertyValueMap ()
- QualifiedPropertyValueMap (const QMap< QString, QDBusVariant > &a)
- QualifiedPropertyValueMap & operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt4 type system.

A mapping from strings representing D-Bus properties (by their namespaced names) to their values.

## Constructor & Destructor Documentation

QualifiedPropertyValueMap | ( |  | ) | `[inline]`

QualifiedPropertyValueMap | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

QualifiedPropertyValueMap& operator= | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`